<form id="data" action="#" method="post" enctype="multipart/form-data" v-on:submit="sendData">
    <fieldset>
        <input type="hidden" name="mobile" v-bind:value="mobile">
        <% partial("templates/intro_bench.jl.html") %>
        <h2>Select Benchmark</h2>
        Select the benchmark used for comparisons:
        <form>
            <select name="benchmark_id" hx-get="/benchinfo" hx-target="#category" hx-swap="outputHTML">
                <option value="-1" selected="selected">-----</option>
            <% for_each(benchmarks) do bench %>
            <option value="$(bench.id)">$(bench.title)</option>
            <% end %>
        </select>

        <div id="category">
        </div>
        </form>
        <!--
        <h2>Algorithms to compare</h2>
        <template v-if="available_algs.length > 0">
                <ul class="checkbox">
        <template v-for="alg in available_algs">
                <li><label><input type="checkbox" v-bind:value="alg" name="algs" v-model="algs" checked>{{alg | to_space}}</li></label>
        </template>
        </ul>
        </template>
        <template v-else>
        <p>
            There are not algorithms to compare.
        </p>
    </template>
        <br> If you want to compare existing results with your own proposal, set a Excel or CSV file with the results (optional).

        <input-alg v-bind:benchmark="benchmark"></input-alg>
        <div v-if="error" class="alert alert-danger">
            <label id="error">{{error}}</label>
        </div>
        <div class="form-group">
            <input name="libcharts" value="hc" type="hidden">
                <reports v-bind:reports="reports"></reports>
        </template>
        </div>
        </template>
        -->
    </fieldset>
</form>
<!-- 
<a id="download" href="#"></a>
<tables v-bind:json="tables.tables[index]" v-for="index in tables.idx" v-bind:key="index" v-bind:html="tables.tables_html[index]" v-bind:index="index" v-bind:title="tables.titles[index]">
</tables>
<div id="figures">
</div>
<div id="figures">
</div>
<span v-html="info"></span>
</div>
-->
